> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riftmap.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Seats

> Increase the seat add-on quantity on the workspace's Stripe subscription with prorated billing, updating extra_seats and logging an audit event. Owner-only.



## OpenAPI

````yaml /openapi.json post /api/v1/workspaces/{workspace_id}/billing/seats
openapi: 3.1.0
info:
  description: Change Impact Engine for multi-repo systems
  title: Riftmap
  version: 1.12.3
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace_id}/billing/seats:
    post:
      tags:
        - billing
      summary: Add Seats
      description: >-
        Increase the seat add-on quantity on the workspace's Stripe subscription
        with prorated billing, updating extra_seats and logging an audit event.
        Owner-only.
      operationId: add_seats_api_v1_workspaces__workspace_id__billing_seats_post
      parameters:
        - in: path
          name: workspace_id
          required: true
          schema:
            format: uuid
            title: Workspace Id
            type: string
        - in: header
          name: X-Workspace-Id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Workspace-Id
        - in: cookie
          name: riftmap_access
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Riftmap Access
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddSeatsRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddSeatsResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    AddSeatsRequest:
      properties:
        additional_seats:
          title: Additional Seats
          type: integer
      required:
        - additional_seats
      title: AddSeatsRequest
      type: object
    AddSeatsResponse:
      properties:
        extra_seats:
          title: Extra Seats
          type: integer
        seat_limit:
          title: Seat Limit
          type: integer
      required:
        - extra_seats
        - seat_limit
      title: AddSeatsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-API-Key
      type: apiKey
    HTTPBearer:
      description: API key as Bearer token (rfm_live_... prefix)
      scheme: bearer
      type: http

````